Bug 118425 - [GTK] Runtime critical warning when unloading a module that failed to load
Summary: [GTK] Runtime critical warning when unloading a module that failed to load
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 10:02 PDT by Carlos Garcia Campos
Modified: 2013-07-08 01:20 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.41 KB, patch)
2013-07-05 10:06 PDT, Carlos Garcia Campos
mrobinson: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2 (495.43 KB, application/zip)
2013-07-06 01:59 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2013-07-05 10:02:04 PDT
(lt-WebKitWebProcess:31468): GModule-CRITICAL **: g_module_close: assertion 'module != NULL' failed
Comment 1 Carlos Garcia Campos 2013-07-05 10:03:27 PDT
It's also confusing that you don't know why the module failed to load
Comment 2 Carlos Garcia Campos 2013-07-05 10:06:27 PDT
Created attachment 206159 [details]
Patch
Comment 3 Martin Robinson 2013-07-05 10:14:44 PDT
Comment on attachment 206159 [details]
Patch

Looks good to me.
Comment 4 Build Bot 2013-07-06 01:59:45 PDT
Comment on attachment 206159 [details]
Patch

Attachment 206159 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/984205

New failing tests:
webaudio/javascriptaudionode-downmix8-2channel-input.html
Comment 5 Build Bot 2013-07-06 01:59:46 PDT
Created attachment 206187 [details]
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-11  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.3
Comment 6 Carlos Garcia Campos 2013-07-08 01:20:24 PDT
Committed r152442: <http://trac.webkit.org/changeset/152442>